Subject: Re: Reorder connection markers in libpq TAP tests

From: Daniel Gustafsson <[email-masked]>
Date: Fri, 21 Apr 2023 12:55:44 +0200

> On 21 Apr 2023, at 08:38, Gurjeet Singh <[email-masked]> wrote:
> 
> On Thu, Apr 20, 2023 at 11:00 PM Gurjeet Singh <[email-masked]> wrote:
>> 
>> Commit 7f5b198 introduced TAP tests that use string literals to mark
>> the presence of a query in server logs. For no explicable reason, the
>> tests with the marker 'connect2' occur before the tests that use
>> 'connect1' marker.
>> 
>> The attached patch swaps the connection marker strings so that a
>> reader doesn't have to spend extra deciphering why 'connect2' tests
>> appear before 'connect1' tests.
> 
> Please see attached v2 of the patch. It now includes same fix in
> another TAP tests file.

-	  'Potentially unsafe test load_balance not enabled in PG_TEST_EXTRA';
+	  'Potentially unsafe test; load_balance not enabled in PG_TEST_EXTRA';

We have this spelling without a ';' in multiple places so I left this alone.

I have applied this version of the patch apart from the above hunk. Thanks!

--
Daniel Gustafsson